Description

For some works, the section descriptors represent line numbers (e.g. Eumenides by Aeschylus). In Perseus, Aesch. Eum. 131 maps

to "lines 131-142".

The XML indicates that steps ought to be used in the header:

<refsDecl doctype="TEI.2">

    <step refunit="line" from="DESCENDANT (1 L N%1)"/>

</refsDecl>

 

Below is a snippet of corresponding content:

<text lang="greek">

<body>

<div1 type="episode">

<milestone ed="p" n="1" unit="card"/>

<sp n="*puqia/s">

<speaker>*puqia/s</speaker>

<l>prw=ton me\n eu)xh=| th=|de presbeu/w qew=n</l>

<l>th\n prwto/mantin *gai=an: e)k de\ th=s *qe/min,</l>

<l>h(\ dh\ to\ mhtro\s deute/ra to/d' e(/zeto</l>

<l>mantei=on, w(s lo/gos tis: e)n de\ tw=| tri/tw|</l>

<l n="5">la/xei, qelou/shs, ou)de\ pro\s bi/an tino/s,</l>

<l>*titani\s a)/llh pai=s *xqono\s kaqe/zeto,</l>

<l>*foi/bh: di/dwsi d' h(\ gene/qlion do/sin</l>

 

The "card" milestones are the ones that should be listed as a range.

Associated revisions

Revision 96 - 11/02/2012 06:11 AM - Luke Murphey

Added support for line numbers as the titles of readable units. Closes #418.

Revision 96 - 11/02/2012 06:11 AM - Luke Murphey

Added support for line numbers as the titles of readable units. Closes #418.

Revision 91 - 11/02/2012 06:11 AM - Luke Murphey

Added support for line numbers as the titles of readable units. Closes #418.

History

#1 - 10/27/2012 02:54 AM - Luke Murphey

- Description updated
http://www.perseus.tufts.edu/hopper/text?doc=Perseus%3Atext%3A1999.01.0005%3Acard%3D131


#2 - 10/27/2012 02:55 AM - Luke Murphey

I think the best solution is to have a flag which indicates whether the "l" tags and use these as line numbers.

#3 - 10/27/2012 03:24 AM - Luke Murphey

Here are the options:

1. Have chapter divider count the number of <l> elements and update the name accordingly

2. Have chapter divider use the next division name and use it to assign the name accordingly (doesn't work on the last line)

3. Have version divider count lines and set the name accordingly

4. Have a function run afterwards that assigns the names accordingly

#4 - 10/31/2012 06:05 AM - Luke Murphey

- % Done changed from 0 to 70

#5 - 11/02/2012 06:12 AM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 70 to 100

Applied in changeset r96.
